Skip to main content
GET
/
report-executions
/
{report_execution_id}
Get report execution
using RestSharp;


var options = new RestClientOptions("https://api.sandbox.{id}.gr4vy.app/report-executions/{report_execution_id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);

Console.WriteLine("{0}", response.Content);
{
  "type": "report-execution",
  "id": "fe26475d-ec3e-4884-9553-f7356683f7f9",
  "created_at": "2013-07-16T19:23:00.000+00:00",
  "updated_at": "2013-07-16T19:23:00.000+00:00",
  "status": "succeeded",
  "context": {
    "reference_timestamp": "2013-07-16T19:23:00.000+00:00",
    "reference_timezone": "Europe/London"
  },
  "report": {
    "type": "report",
    "id": "fe26475d-ec3e-4884-9553-f7356683f7f9",
    "merchant_account_id": "default",
    "name": "Failed Authorizations 042022",
    "creator_id": "bd5d40d1-913b-419c-bd62-84efc46e0026",
    "creator_display_name": "John Doe"
  }
}
This endpoint requires the reports.read scope.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

report_execution_id
string<uuid>
required

The unique ID for a report execution.

Example:

"8724fd24-5489-4a5d-90fd-0604df7d3b83"

Response

Returns a report execution.

A report execution.

type
enum<string>

The type of this resource. Is always report-execution.

Available options:
report-execution
Example:

"report-execution"

id
string<uuid>

The unique identifier for this report execution.

Example:

"fe26475d-ec3e-4884-9553-f7356683f7f9"

created_at
string<date-time>

The date and time this report execution was created in our system.

Example:

"2013-07-16T19:23:00.000+00:00"

updated_at
string<date-time>

The date and time this report execution was last updated.

Example:

"2013-07-16T19:23:00.000+00:00"

status
enum<string>

The status of this report execution.

Available options:
dispatched,
failed,
pending,
processing,
succeeded
Example:

"succeeded"

context
object

Contains the context values used to compute the value of date-time placeholders such as month_start and month_end if present in the report's specification. Date-time placeholders are dynamic timestamps that change with every report execution.

report
Report Summary · object

The report associated with this report execution.